<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Menu Bar of the XML Editor Perspective
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="XML-Editor-Perspective_7439322.html">XML Editor Perspective</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Menu Bar of the XML Editor Perspective</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Oliver Schmid</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="noindent">
              When you open the XML Editor, certain items in the menu bar will be activated. Some of these items are located under “Edit”, and some under “XML”.
            </p>
            <p class="subsubsectionHead">
              <strong>Edit</strong>
            </p>
            <p class="noindent">
              When the XML Editor is opened, options from “Edit” in the menu bar can be used, depending on the view that is open in the <a href="Editor-Field_7439334.html">Editor Field</a>. Most items are displayed if the XML file is opened in the <a href="Source-View_7439338.html">Source View</a>. These items are listed below:
            </p>
            <ul>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Undo <img class="confluence-embedded-image" src="attachments/7439326/8192218.png" data-image-src="attachments/7439326/8192218.png" title="037-zuruecknehme-Aenderung.png"/> and Redo <img class="confluence-embedded-image" src="attachments/7439326/8192219.png" data-image-src="attachments/7439326/8192219.png" title="038-wiederhole-Aenderung.png"/>:</span></span> To undo or redo a change made to a document, click “Edit <span class="cmmi-10x-x-109">&gt;</span> Undo” or “Edit <span class="cmmi-10x-x-109">&gt;</span> Redo” in the menu bar.
              </li>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Cut <img class="confluence-embedded-image" src="attachments/7439326/8192220.png" data-image-src="attachments/7439326/8192220.png" title="039-ausschneide-Auswahl.png"/>, Copy <img class="confluence-embedded-image" src="attachments/7439326/8192221.png" data-image-src="attachments/7439326/8192221.png" title="040-kopiere-Auswahl.png"/> and Paste <img class="confluence-embedded-image" src="attachments/7439326/8192222.png" data-image-src="attachments/7439326/8192222.png" title="041-einfuege-Auswahl.png"/>:</span></span> Use “Edit <span class="cmmi-10x-x-109">&gt;</span> Cut”, “Edit <span class="cmmi-10x-x-109">&gt;</span> Copy” and “Edit <span class="cmmi-10x-x-109">&gt;</span> Paste” in the menu bar to arrange parts of the source code.
              </li>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Delete <img class="confluence-embedded-image" src="attachments/7439326/8192223.png" data-image-src="attachments/7439326/8192223.png" title="042-loesche-Auswahl.png"/> and Select All <img class="confluence-embedded-image" src="attachments/7439326/8192224.png" data-image-src="attachments/7439326/8192224.png" title="043-auswaehle-BereichGesamt3.png"/>:</span></span> For deleting sections of code, use “Edit <span class="cmmi-10x-x-109">&gt;</span> Delete”. Use “Edit <span class="cmmi-10x-x-109">&gt;</span> Select All” to mark all source code of an XML document.
              </li>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Find and Replace <img class="confluence-embedded-image" src="attachments/7439326/8192225.png" data-image-src="attachments/7439326/8192225.png" title="047-finde-Auswahl.png"/>:</span></span> To open the “Find and Replace” dialog box, click “Edit <span class="cmmi-10x-x-109">&gt;</span> Find and Replace” in the menu bar on top. You can specify text to search for and also to replace in this dialog box. You can determine:<br/>
                <ul>
                  <li class="itemize">the search direction (“Forward” or “Backward” from the current cursor position)
                  </li>
                  <li class="itemize">the scope (use “All” or “Selected lines” to search within a selected area)
                  </li>
                  <li class="itemize">whether or not your search should be “Case sensitive”
                  </li>
                  <li class="itemize">if the entire search string should be matched using “Whole word”
                  </li>
                  <li class="itemize">whether to “Wrap search” at the end of the file
                  </li>
                  <li class="itemize">if the editor focus should move to the first complete occurrence of the text you are typing, using “Incremental”
                  </li>
                  <li class="itemize">if the regular expressions mode should be activated using the “Regular expressions” checkbox. Type [Ctrl+Space] over the text field to receive content assistance that lists all possible expressions
                  </li>
                </ul>
              </li>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Expand selection to:</span></span> For marking up passages in the Source View, the option “Expand selection to” allows you to select the enclosing, the next, or the previous element. In addition, you can restore the last selection.
              </li>
              <li class="stmary-10x-x-109">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Content Assist:</span></span> For more information, please see the explanation of the <a href="Source-View_7439338.html">Source View</a>.
              </li>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Show Tooltip Description:</span></span> Displays tooltip description, where applicable. It shows the value of a hover that would appear at the current cursor location.
              </li>
              <li class="noindent">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Word Completion:</span></span> Use this item to receive suggestions from the program for completing a word.
              </li>
              <li class="stmary-10x-x-109">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Quick fix:</span></span> For more information, please see the explanations of the <a href="Source-View_7439338.html">Source View</a>.
              </li>
              <li class="stmary-10x-x-109">
                <span class="paragraphHead"><span class="cmbx-10x-x-109">Smart Insert Mode:</span></span> For more information, please see the explanation of the <a href="Source-View_7439338.html">Source View</a>.
              </li>
            </ul>
            <p class="subsubsectionHead">
              <strong>XML</strong>
            </p>
            <p class="noindent">
              The following operations can be started from the menu bar item “XML”:
            </p>
            <ul class="itemize1">
              <li class="itemize">Insert Elements <img class="confluence-embedded-image" src="attachments/7439326/8192226.png" data-image-src="attachments/7439326/8192226.png" title="052-einfuege-Elemente.png"/>: Shows a list of possible elements.
              </li>
              <li class="itemize">Rename Current Element to...
              </li>
              <li class="itemize">Source <img class="confluence-embedded-image" src="attachments/7439326/8192227.png" data-image-src="attachments/7439326/8192227.png" title="054-bearbeite-Quelle.png"/>: Used for comment handling and code-formatting. You can also start a document cleanup <img class="confluence-embedded-image" src="attachments/7439326/8192228.png" data-image-src="attachments/7439326/8192228.png" title="058-bereinige-Dokument2.png"/> here.
              </li>
              <li class="itemize">
                <a href="Features-of-the-XML-Editor_7439324.html">Show Validation Errors</a> <img class="confluence-embedded-image" src="attachments/7439326/8192289.gif" data-image-src="attachments/7439326/8192289.gif" title="062-zeige-Validierungsfehler.gif"/>
              </li>
              <li class="stmary-10x-x-109">
                <a href="Features-of-the-XML-Editor_7439324.html">Associate a Schema</a> <img class="confluence-embedded-image" src="attachments/7439326/8192288.gif" data-image-src="attachments/7439326/8192288.gif" title="063-verbinde-Schema.gif"/>
              </li>
              <li class="stmary-10x-x-109">
                <a href="Features-of-the-XML-Editor_7439324.html">Associate a CSS</a>
              </li>
              <li class="itemize">
                <a href="Features-of-the-XML-Editor_7439324.html">Associate an Adaptor</a> <img class="confluence-embedded-image" src="attachments/7439326/8192290.gif" data-image-src="attachments/7439326/8192290.gif" title="064-verbinde-Adaptor2.gif"/>
              </li>
              <li class="itemize">Copy URI-Fragment <img class="confluence-embedded-image" src="attachments/7439326/8192229.png" data-image-src="attachments/7439326/8192229.png" title="066-kopiere-URlFragment2.png"/>: Clones an URI-Fragment for local addressing.
              </li>
              <li class="stmary-10x-x-109">
                <a href="Features-of-the-XML-Editor_7439324.html">XML Editor Debugging</a>
              </li>
            </ul>
          </div>
          
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
